HTTP endpoints
Get instruments
Returns all tradable instruments with listing metadata, 24h statistics, current funding snapshots, and daily price change — the RocketFi equivalent of a consolidated markets discovery call.
Parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| pageNumber | yes | integer | Page index for instrument listing pagination. |
| pageSize | yes | integer | Number of instruments to return per page. |
Response fields
| Parameter | Required | Type | Description |
|---|---|---|---|
dailyChanges | yes | object | — |
dailyChanges.* | yes | object (map) | An instrument identifier (8-byte hash). |
dailyChanges.*.actualAvailableDataTimeRangeMs | yes | integer (int64) | — |
dailyChanges.*.priceChangeQuote | yes | string | — |
fundingRates | yes | object | — |
fundingRates.* | yes | object (map) | An instrument identifier (8-byte hash). |
fundingRates.*.fundingRate | yes | string | — |
fundingRates.*.premiumIndex | yes | string | — |
fundingRates.*.round | yes | integer (int64) | — |
fundingRates.*.timestamp | yes | integer (int64) | — |
instrumentStats | yes | object | — |
instrumentStats.* | yes | object (map) | An instrument identifier (8-byte hash). |
instrumentStats.*.fundingRate1H | yes | number (double) | — |
instrumentStats.*.openInterest | yes | number (double) | — |
instrumentStats.*.volume24H | yes | number (double) | — |
instruments | yes | object | — |
instruments.* | yes | object (map) | An instrument identifier (8-byte hash). |
instruments.*.expiry | no | string | null | — |
instruments.*.id | yes | string | — |
instruments.*.instrumentType | yes | string | — |
instruments.*.isTrading | yes | boolean | — |
instruments.*.lastMatchPrice | yes | string | — |
instruments.*.listedAt | no | integer (int64) | — |
instruments.*.maxLeverage | no | string | null | — |
instruments.*.maxLeverageMargin | no | string | null | — |
instruments.*.priceScale | yes | integer (int32) | — |
instruments.*.quantityScale | yes | integer (int32) | — |
instruments.*.settlementAsset | yes | string | — |
instruments.*.strike | no | string | null | — |
instruments.*.ticker | yes | string | — |
instruments.*.underlyingAsset | yes | string | — |
instruments.*.worstCasePriceMovePct | no | string | null | — |
instruments.*.worstCasePriceMovePctMargin | no | string | null | — |
Response example
A sample 200 JSON body is attached to this operation as an OpenAPI example (Mintlify shows it in the example panel, similar to other exchange API docs).
GET
Get instruments
Path Parameters
Page index for instrument listing pagination.
Required range:
x >= 0Number of instruments to return per page.
Required range:
x >= 0Previous
Get max leverage### Parameters
| Parameter | Required | Type | Description |
| --------- | -------- | ---- | ----------- |
| account | yes | string (hex) | Ethereum-style account address for the sub-account context. |
| instrumentId | yes | integer (int64) | Target instrument identifier. |
### Response fields
| Parameter | Required | Type | Description |
| --------- | -------- | ---- | ----------- |
| `maxLeverageSetting` | yes | integer (int64) | — |
### Response example
A sample **`200`** JSON body is attached to this operation as an OpenAPI **example** (Mintlify shows it in the example panel, similar to other exchange API docs).
Next
Get instruments